Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4178 - patch for basing tmpwatch on mtime instead of atime
Summary: patch for basing tmpwatch on mtime instead of atime
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch
Version: 4.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-23 15:24 UTC by ahosey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 20:11:57 UTC


Attachments (Terms of Use)

Description ahosey 1999-07-23 15:24:57 UTC
On systems which use GNU tar for backups (as an example) the
atime of files is being updated on a regular basis and this
invalidates the efforts of tmpwatch. I wrote a patch which
adds a flag for the option of using mtime to make the
decision about deleting the files. I wrote the patch against
tmpwatch-1.2 which is why I'm filing this under RH 4.2, but
it should apply to newer versions.

The patch is coming in a seperate followup. Thanks.

Comment 1 Preston Brown 1999-08-30 20:11:59 UTC
this will be added in the next release (6.1).  Thank you for the
patch.


Note You need to log in before you can comment on or make changes to this bug.